=== debian/changelog ===
linux-wlan-ng (0.2.9+dfsg-5) unstable; urgency=low

  [ Tormod Volden ]
  * debian/control: move packages from admin to kernel section

  [ Enrico Tassi ]
  * Remove linux-wlan-ng-source package (Closes: #651792)
  * Move to quilt and source format 3.0 (abandon dpatch) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 18 Feb 2012 11:21:39 +0100

linux-wlan-ng (0.2.9+dfsg-4) unstable; urgency=low

  [ Tormod Volden ]
  * Add versioned dependency on udev for the udev rules move
  * Be more explicit in the package descriptions
  * Drop Recommends on the obsoleted -modules package
  * Download firmware directly to /lib/firmware and not to /var/lib
    since /var might not be mounted when the driver initializes
  * debian/patches/SRC_fallback-to-prism2-device.dpatch: fallback
    to "prism2" name if /proc interface is missing, helpful for
    making userspace firmware loading work on some kernels.
  * Add myself to Uploaders

  [ Enrico Tassi ]
  * The active maintainer is Tormod, let's put him in this field and 
    move myself an Victor to uploaders

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 15 Feb 2010 19:38:45 +0100

linux-wlan-ng (0.2.9+dfsg-3) unstable; urgency=low

  [ Tormod Volden ]
  * New prism2-usb-firmware-installer binary package for use with
    kernels with the staging prism2_usb driver using kernel 
    firmware loading.
  * Install udev rules in /lib/udev and remove old one from /etc/udev
  * Replace dh_clean -k by dh_prep
  * Bump Standards-Version to 3.8.4
  * Add debian/README.source referring to dpatch
  * Merge debian/NEWS into changelog
  * debian/copyright: "GPL" means "GPL-2"
  * debian/linux-wlan-ng-firmware.copyright: Make machine-readable
  * add srec2fw.c and mention it in the copyright file
  * wrote man page for srec2fw

  [ Enrico Tassi ]
  * Added ${shlibs:Depends} to prism2-usb-firmware-installer
  * Added ${misc:Depends} to all packages since we are using debhelper
  * debian/compat set to 7 
  * Build-depend on debhelper >= 7 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 04 Feb 2010 21:08:01 +0100

linux-wlan-ng (0.2.9+dfsg-2) unstable; urgency=low

  [ Tormod Volden ]
  * SRC_build_on_2-6-26.dpatch:
    Cherry-picked upstream r1867 to fix build on 2.6.26
    (Closes: #495338)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 Aug 2008 12:27:38 +0200

linux-wlan-ng (0.2.9+dfsg-1) unstable; urgency=low

  [ Chris Lamb ]
  * Fix bashism in debian/rules (Closes: #484403)

  [ Enrico Tassi ]
  * New upstream release
  * Watch file fixed to strip +dfsd tag from debian version  before comparing
    it with the upstream version
  * Bumped standards-version to 3.8.0, no changes needed 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 21 Jun 2008 11:23:42 +0200

linux-wlan-ng (0.2.8+svn1854+dfsg-1) unstable; urgency=low

  [ Tormod Volden ]
  * linux-wlan-ng-post-down: Do not disable card on ifdown if wireless
    extensions are in use
  * Removed the "sleep 3" in wlan-udev.sh since this is fixed in the
    driver (since revision 1852)
  * linux-wlan-ng-build-firmware-deb: bail out if no network is available
    instead of building empty package, remove misplaced cd command
  * README.Debian: removed obsolete configuration instructions
    (Closes: #474485)

  [ Victor Seva ]
  * New upstream fixes initialization race condition:
    Perform the hardware reset/init sequence *before* we register
    the netdevice. (Karl Renton)

  [ Enrico Tassi ]
  * Added a call to dh_installmodules in rules used by m-a (Closes: #480284)   

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 09 May 2008 18:25:50 +0200

linux-wlan-ng (0.2.8+svn1851+dfsg-1) unstable; urgency=low

  [ Victor Seva ]
  * changed Depends: linux-wlan-ng to Recommends
    on linux-wlan-ng-modules (Closes: #465329) Thanks to Tormod Volden.
  * fix for firmware loading from upstream ( rev 1851 )
  * removed linux-wlan-ng.modprobe and dh_installmodules on rules.
    Not needed anymore. (Closes: #192351) Thanks to Tormod Volden.

  [ Enrico Tassi ]
  * Version 1851 fixed firmware loading issues affecting wep configuration
    (Closes: #454684)
  * Added sleep 3 in wlan-udev.sh to avoid a race condition (Closes: #465681)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 17 Feb 2008 13:55:16 +0100

linux-wlan-ng (0.2.8+svn1850+dfsg-1) unstable; urgency=low

  [ Enrico Tassi ]
  * Removed useless entries in linux-wlan-ng (Thanks Tormod Volden for
    spotting that)
  * bumped standsrds-version to 3.7.3, no modifications needed
  * Removed old conffile installed by dh_installmodules
    /etc/modutils/linux-wlan-ng (Closes: #455027)
  * Added Vcs fields in control
  * moved the -doc package in section: doc

  [ Victor Seva ]
  * Added support for 2.6.24 kernels

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 08 Feb 2008 17:33:47 +0100

linux-wlan-ng (0.2.8+svn1839+dfsg-2) unstable; urgency=low

  * removed hotplug file and activated cleanup preinst and postinst scripts
    (Thanks Tormod Volden for testing this modification)
  * fixed typo in etc/rc.wlan (used only as example)
  * removed -Xetc/init.d from rules and removed etc/init.d dir from .install
    for package linux-wlan-ng (package content should be the same, just
    housekeeping)
  * Removed dbus-send org.freedesktop.NetworkManager.RefreshDevice
    from wlan-udev.sh since it is no more necessary (Thanks Tormod Volden
    for spotting this)
  * Fixed watch file (only tar.bz2 are present) (Closes: #449773)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sat, 24 Nov 2007 18:32:39 +0100

linux-wlan-ng (0.2.8+svn1839+dfsg-1) unstable; urgency=low

  * Renamed TEMPDIR in LWNTMP (Closes: #440366)
  * Added support for 2.6.23 kernels (Closes: #447409)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 29 Jul 2007 14:16:32 +0200

linux-wlan-ng (0.2.8+svn1832+dfsg-2) unstable; urgency=low

  * Removed spurious slash in .install file (Closes: #435008)
  * Fixed prism2_* loading in case p80211 is already loaded (Closes: #429624)

