=== debian/control ===
Source: linux-wlan-ng
Section: kernel
Priority: extra
Maintainer: Tormod Volden <debian.tormod@gmail.com>
Uploaders: Enrico Tassi <gareuselesinge@debian.org>, Victor Seva <linuxmaniac@torreviejawireless.org>
Build-Depends: debhelper (>= 7), bzip2, quilt (>= 0.40)
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/linux-wlan-ng/
Vcs-Browser: http://svn.debian.org/viewsvn/linux-wlan-ng

# Package: linux-wlan-ng-source
# Architecture: all
# Depends: bzip2, module-assistant, debhelper (>= 4.1.10), ${misc:Depends}
# Suggests: kernel-package
# Description: linux-wlan-ng driver 
#  linux-wlan-ng is a set of drivers and utilities that is intended to
#  provide the full range of IEEE 802.11 MAC management capabilities for use
#  in user-mode utilities and scripts. The package currently supports the
#  Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
#  PCMCIA, PCI, and USB. Additionally, the package includes support for the
#  PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
#  .
#  This package provides the source code for the linux-wlan-ng kernel
#  modules. After installing this you must use module-assistant to compile
#  and install the modules.
#  .
#  Please note that you probably do not need this package: The prism2_usb
#  driver is included in the default kernel packages since 2.6.31.

Package: linux-wlan-ng
Architecture: any
Depends: ${shlibs:Depends}, wireless-tools, udev (>= 0.140-1), ${misc:Depends}
Recommends: linux-wlan-ng-doc
Conflicts: linux-wlan-ng-modules, linux-wlan-ng-0.1.15-modules
Description: utilities for wireless prism2 cards
 linux-wlan-ng is a set of drivers and utilities that is intended to
 provide the full range of IEEE 802.11 MAC management capabilities for use
 in user-mode utilities and scripts. The package currently supports the
 Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
 PCMCIA, PCI, and USB. Additionally, the package includes support for the
 PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
 .
 Please note that you probably do not need this package: The prism2_usb
 driver is included in the default kernel packages since 2.6.31.
 If you need firmware loading for your prism2_usb device, please just
 install the prism2-usb-firmware-installer package.
 .
 This package ships legacy utilities and scripts for advanced
 configuration and user-space firmware downloading (support for
 non-USB devices).

Package: linux-wlan-ng-doc
Architecture: all
Recommends: linux-wlan-ng
Section: doc
Depends: ${misc:Depends}
Description: documentation for wlan-ng
 linux-wlan-ng is a set of drivers and utilities that is intended to
 provide the full range of IEEE 802.11 MAC management capabilities for use
 in user-mode utilities and scripts. The package currently supports the
 Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
 PCMCIA, PCI, and USB. Additionally, the package includes support for the
 PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
 .
 This package contains documentation for linux-wlan-ng that is not included
 in the main package.

Package: linux-wlan-ng-firmware
Architecture: all
Section: contrib/kernel
Depends: linux-wlan-ng (>= ${binary:Version}), build-essential, debhelper, subversion, fakeroot, ${misc:Depends}
Description: firmware files used by the linux-wlan-ng driver
 linux-wlan-ng is a set of drivers and utilities that is intended to
 provide the full range of IEEE 802.11 MAC management capabilities for use
 in user-mode utilities and scripts. The package currently supports the
 Intersil 802.11b Prism2, Prism2.5, and Prism3 reference designs for
 PCMCIA, PCI, and USB. Additionally, the package includes support for the
 PLX9052 based PCI to PCMCIA adapter with a few different PCMCIA cards.
 .
 This package doesn't contain the firmware files, but a script to download
 the upstream source tarball and build a deb that contains them. Note that
 only some adapters really need a firmware file and that firmware files are
 not completely free (in the sense of freely redistributable), that's why
 this package exists.
 .
 For newer kernels (2.6.31+) which have the in-tree prism2_usb driver,
 you can install the prism2-usb-firmware-installer package instead.

Package: prism2-usb-firmware-installer
Architecture: any
Section: contrib/kernel
Depends: wget, ${shlibs:Depends}, ${misc:Depends}
Description: firmware files for the prism2_usb kernel driver
 prism2-usb-firmware-installer will at the time of its own installation
 download the firmware files for the prism2_usb devices from the
 upstream code repository and convert them to the format used by the
 kernel modules since 2.6.32.
 .
 The downloaded file will be used as-is by the 2.6.31 kernel. If you
 have an earlier kernel you will have to install the
 linux-wlan-ng-firmware package instead.
 .
 Note that only some adapters really need a firmware file and that
 firmware files are not completely free (in the sense of freely
 redistributable), which is why this package exists.
