=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package linux-wlan-ng
#
version=3
opts=dversionmangle=s/\+dfsg// \
 ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-([\d.]+).tar.bz2
